package org.jboss.cache.factories.context;

import org.jboss.cache.transaction.OptimisticTransactionContext;
import org.jboss.cache.transaction.TransactionContext;

import javax.transaction.RollbackException;
import javax.transaction.SystemException;
import javax.transaction.Transaction;

/**
 * Constructs contexts for optimistic locking
 *
 * @author Manik Surtani (<a href="mailto:manik@jboss.org">manik@jboss.org</a>)
 * @since 3.0
 * @deprecated will be removed when optimistic locking is removed.
 */
@Deprecated
@SuppressWarnings("deprecation")
public class OptimisticContextFactory extends PessimisticContextFactory
{
   @Override
   public TransactionContext createTransactionContext(Transaction tx) throws SystemException, RollbackException
   {
      return new OptimisticTransactionContext(tx);
   }
}
