package org.jboss.cache.config;

/**
 * Thrown if an eviction configuration that cannot be translated to the new 3.x eviction interfaces is used.
 *
 * @author Manik Surtani (<a href="mailto:manik@jboss.org">manik@jboss.org</a>)
 * @since 3.0
 */
public class UnsupportedEvictionImplException extends ConfigurationException
{
   public UnsupportedEvictionImplException(Exception e)
   {
      super(e);
   }

   public UnsupportedEvictionImplException(String string)
   {
      super(string);
   }

   public UnsupportedEvictionImplException(String string, String erroneousAttribute)
   {
      super(string, erroneousAttribute);
   }

   public UnsupportedEvictionImplException(String string, Throwable throwable)
   {
      super(string, throwable);
   }
}
